org.apache.datasketches.fdt

## Class Group

- java.lang.Object
- - org.apache.datasketches.fdt.Group

All Implemented Interfaces:
  Comparable<Group>

    public class Group
    extends Object
    implements Comparable<Group>

Defines a Group from a Frequent Distinct Tuple query. This class is called internally during post processing and is not intended to be called by the user.

Author:
  Lee Rhodes

### Constructor Summary

Constructors
Constructor and Description
`Group()` Construct an empty Group

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(Group that)`
`boolean` `equals(Object that)`
`int` `getCount()`
`double` `getEstimate()`
`double` `getFraction()`
`String` `getHeader()`
`double` `getLowerBound()`
`String` `getPrimaryKey()`
`double` `getRse()`
`double` `getUpperBound()`
`int` `hashCode()`
`Group` `init(String priKey, int count, double estimate, double ub, double lb, double fraction, double rse)` Specifies the parameters to be listed as columns
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Group

    public Group()

Construct an empty Group

### Method Detail

#### init

    public Group init(String priKey,
                      int count,
                      double estimate,
                      double ub,
                      double lb,
                      double fraction,
                      double rse)

Specifies the parameters to be listed as columns

Parameters:
  `priKey` - the primary key of the FDT sketch
  `count` - the number of retained rows associated with this group
  `estimate` - the estimate of the original population associated with this group
  `ub` - the upper bound of the estimate
  `lb` - the lower bound of the estimate
  `fraction` - the fraction of all retained rows of the sketch associated with this group
  `rse` - the estimated Relative Standard Error for this group.
Returns:
  return this

#### getPrimaryKey

    public String getPrimaryKey()

Returns:
  priKey of type T

#### getCount

    public int getCount()

Returns:
  the count

#### getEstimate

    public double getEstimate()

Returns:
  the estimate

#### getUpperBound

    public double getUpperBound()

Returns:
  the upper bound

#### getLowerBound

    public double getLowerBound()

Returns:
  the lower bound

#### getFraction

    public double getFraction()

Returns:
  the fraction for this group

#### getRse

    public double getRse()

Returns:
  the RSE

#### getHeader

    public String getHeader()

Returns:
  the descriptive header

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### compareTo

    public int compareTo(Group that)

Specified by:
  `compareTo` in interface `Comparable<Group>`
Parameters:
  `that` - The Group to compare to

#### equals

    public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`